<?php

use Spatie\LaravelSettings\Migrations\SettingsMigration;

return new class extends SettingsMigration
{
    public function up(): void
    {
        $this->migrator->add('cms_homepage.bg_video', 'http://192.168.1.180:8000/web/assets/video/banner.mp4');
        $this->migrator->add('cms_homepage.hero_badge_text', 'Expert Solutions');
        $this->migrator->add('cms_homepage.hero_header', 'Shaping Future');
        $this->migrator->add('cms_homepage.hero_sub_header', 'Architecture');
        $this->migrator->add('cms_homepage.hero_link_button_url', 'http://gujurly.com');
        $this->migrator->add('cms_homepage.hero_link_button_text', 'Start today');

        $this->migrator->add('cms_homepage.about_subtitle', 'About Our Company');
        $this->migrator->add('cms_homepage.about_header', 'Leading Construction Innovation With Digital Consulting');
        $this->migrator->add('cms_homepage.about_paragraph', 'We focus on optimizing efficiency, managing risks, and delivering innovative solutions tailored to meet unique project needs and enhance productivity.');
        $this->migrator->add('cms_homepage.about_projects_number', 678);
        $this->migrator->add('cms_homepage.about_projects_text', 'Complete Projects');
        $this->migrator->add('cms_homepage.about_members_number', 120);
        $this->migrator->add('cms_homepage.about_members_text', 'Team Members');
        $this->migrator->add('cms_homepage.about_reviews_number', 635);
        $this->migrator->add('cms_homepage.about_reviews_text', 'Client Reviews');
        $this->migrator->add('cms_homepage.about_button_text', 'Our Story');
        $this->migrator->add('cms_homepage.about_button_url', 'http://gujurly.com');
        $this->migrator->add('cms_homepage.about_image_one', 'http://192.168.1.180:8000/web/assets/img/about/about-5.jpg');
        $this->migrator->add('cms_homepage.about_image_two', 'http://192.168.1.180:8000/web/assets/img/about/about-6.jpg');
    }
};
